<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function fbp_blockmanager_register_blocks( $menu_ref_arr )
{
  global $conf;
  
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;

  if ($conf['fbp']['social_plugin_activity_feed']['enabled'])
  {
    $menu->register_block(new RegisteredBlock('mbFBP_activity_feed', 'social.plugin.activity.feed', 'FacebookPlug'));
  }
  if ($conf['fbp']['social_plugin_like_box']['enabled'])
  {
    $menu->register_block(new RegisteredBlock('mbFBP_like_box', 'social.plugin.like.box', 'FacebookPlug'));
  }
}

function fpt_blockmanager_apply($menu_ref_arr)
{
  global $template;

  $menu = & $menu_ref_arr[0];

  foreach (array('mbFBP_activity_feed', 'mbFBP_like_box') as $mbFBPId)
  {
    if ($block = $menu->get_block($mbFBPId))
    {
      $template->set_template_dir(FBP_DIR.'/tpl/');
      $block->template = $block->get_block()->get_name().'.tpl';
    }
  }
}


if ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
{
  add_event_handler('blockmanager_register_blocks', 'fbp_blockmanager_register_blocks', EVENT_HANDLER_PRIORITY_NEUTRAL);
  add_event_handler('blockmanager_apply', 'fpt_blockmanager_apply');
}

?>
